﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace FDAL.Gen
{
    public static class TNameConvert
    {
        public static string GetPascalString(string s)
        {
            s = s.ToLower();
            bool flag = false;
            StringBuilder sb = new StringBuilder();
            for (int i = 0; i < s.Length; i++)
            {
                char ch = s[i];
                if (ch == '_')
                {
                    flag = true;
                }
                else
                {
                    if (flag || i == 0)
                        sb.Append(ch.ToString().ToUpper());
                    else
                        sb.Append(ch);
                    flag = false;
                }
            }
            return sb.ToString();
        }
    }
}
