﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace FDAL
{
    public class TConnectionStringBuilder
    {
        public static string GetConnectionString(string server, string database, string user, string password)
        {
            StringBuilder sb = new StringBuilder();
            if (!string.IsNullOrEmpty(server))
            {
                sb.AppendFormat("Data Source={0};", server);
            }

            if (!string.IsNullOrEmpty(database))
            {
                sb.AppendFormat("initial catalog={0};", database);
            }

            if (!string.IsNullOrEmpty(user))
            {
                sb.AppendFormat("User Id={0};", user);
            }

            if (!string.IsNullOrEmpty(password))
            {
                sb.AppendFormat("Password={0};", password);
            }
            
            if (string.IsNullOrEmpty(user) && (string.IsNullOrEmpty(password)))
            {
                sb.Append("Integrated Security=True;");   
            }

            sb.Append("MultipleActiveResultSets=True;");

            return sb.ToString();

        }
    }
}
